import { Dialect, Sequelize } from "sequelize";

const envVars = {
  dbName: process.env.DB_NAME,
  dbUser: process.env.DB_USER,
  dbHost: process.env.DB_HOST,
  dbDriver: process.env.DB_DRIVER as Dialect,
  dbPassword: process.env.DB_PASSWORD,
}

if (!envVars.dbName || !envVars.dbUser || !envVars.dbHost || !envVars.dbDriver || !envVars.dbPassword) {
  console.error(`Error while reading DB Environment variables! Is maybe the .env file missing?
DB Name: "${envVars.dbName}", Host: "${envVars.dbHost}", User: "${envVars.dbUser}", DB Driver(e.g. postgres): "${envVars.dbDriver}"`);
  process.exit(9);
}

export default envVars;