import Customer from "./models/Customer";
import Boat from "./models/Boat";
import Worker from "./models/Worker";
import CheckIn from "./models/CheckIn";
import { checkDB } from "./seqConnection";

const isDev = process.env.NODE_ENV === "development";

const dbInit = async () => {
  await Customer.sync({ alter: isDev });
  await Boat.sync({ alter: isDev });
  await Worker.sync({ alter: isDev });
  await CheckIn.sync({ alter: isDev });
};
const connectAndInit = async () => {
  await checkDB();
  await dbInit();
};
export default connectAndInit;
