import "dotenv/config";
import express from "express";
import connectAndInit from "./db/db_init";
import showAllDBs from "./db/showAllDBs";
import showTables from "./db/showDBTables";

let init = async () => {
  await connectAndInit();

  const app = express();
  app.use(express.json());
  const port = process.env.PORT || 4000;
  app.listen(port, () => console.log(`Server listening on port: ${port}\n`));
  app.get("/", (req, res) => res.send("hello in server"));

  await showAllDBs();
  await showTables();
};

init().then(() => {});
